We are going to want to pass a whole slew of options to configure, and
hence to ts-xen-build. I think putting that in sg-run-job is
undesirable.
So, split out the ts-xen-build invocation into its own script.
Explicitly set the testid so that it does not change.
No significant functional change.
Signed-off-by: Ian Jackson <Ian.Jackson@eu.citrix.com>
proc run-job/build-rumprun {} {
run-ts . = ts-rumprun-build
run-ts . = ts-rumprun-demo-build + host + nettest rump-test-net
- run-ts . = ts-xen-build + host --no-kconfig tools
+ run-ts . xen-build ts-xen-build-rump + host --no-kconfig --
run-ts . = ts-rumprun-bake + host \
nettest :nettest:/rump-test-net \
xenstorels ::/usr/local/bin/xenstore-ls
--- /dev/null
+#!/bin/sh
+set -ex
+
+exec ./ts-xen-build "$@" \
+ --- \
+ tools